#!/bin/sh 

HOOK_DIR="/var/packages/CloudStation/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
BIN_DIR="/var/packages/CloudStation/target/bin"
DIR_SRV_HOOK="${HOOK_DIR}/dir-service-hook"
HOME_SRV_HOOK="${HOOK_DIR}/home-service-hook"

# FIXME: use real service hook
case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		echo "1.0"
	;;

	# execute pre hook
	--pre)
		${HOME_SRV_HOOK} "--pre"
	;;

	# execute post hook
	--post)
		${HOME_SRV_HOOK} "--post"
	;;

	*)
	;;
esac
