#!/bin/sh

HOOK_DIR="/var/packages/CloudStation/target/hook"
PKG_INFO="${HOOK_DIR}/package-info"
DB_PATH_CONF="/usr/syno/etc/packages/CloudStation/db-path.conf"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		echo 1.0
	;;

	# execute pre hook
	--pre)
	;;

	# execute post hook
	--post)
	;;

	*)
	;;
esac
