#!/bin/sh

HOOK_DIR="/var/packages/CloudStation/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
DIR_SRV_HOOK="${HOOK_DIR}/dir-service-hook"

case $1 in
        # print package info
        --name|--pkg-ver|--vendor)
                ${PKG_INFO} $1
        ;;

        # print SDK module version
        --sdk-mod-ver)
                ${DIR_SRV_HOOK} --sdk-mod-ver;
        ;;

        # execute pre hook
        --pre)
                ${DIR_SRV_HOOK} --pre-join
        ;;

        # execute post hook
        --post)
                ${DIR_SRV_HOOK} --post-join

        ;;

        *)
        ;;
esac