#!/bin/sh 
. /var/packages/CloudStation/target/scripts/CloudStationCommon
HOOK_DIR="/var/packages/CloudStation/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
SHARE_HOOK="${HOOK_DIR}/share-snapshot-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${SHARE_HOOK} --sdk-mod-ver
	;;

	# execute pre hook
	--pre)
		${SHARE_HOOK} --pre-snapshot
    	;;

	# execute post hook
	--post)
		${SHARE_HOOK} --post-snapshot
		;;

	*)
	;;
esac
